Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.jmx
Class ExtendedMBeanServerNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--javax.management.MBeanServerNotification
                        |
                        +--org.huihoo.jfox.jmx.ExtendedMBeanServerNotification

All Implemented Interfaces:
  java.io.Serializable

public class ExtendedMBeanServerNotification
extends MBeanServerNotification

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ADD_NOTIFICATION_LISTENER`
`static java.lang.String` | `ADD_NOTIFICATIONLISTENER_NOTIFICATION`
`static java.lang.String` | `DESERIALIZE`
`static java.lang.String` | `DESERIALIZE_NOTIFICATION`
`static java.lang.String` | `GET_ATTRIBUTE`
`static java.lang.String` | `GET_ATTRIBUTE_NOTIFICATION`
`static java.lang.String` | `GET_ATTRIBUTES`
`static java.lang.String` | `GET_ATTRIBUTES_NOTIFICATION`
`static java.lang.String` | `GET_MBEANINFO`
`static java.lang.String` | `GET_MBEANINFO_NOTIFICATION`
`static java.lang.String` | `GET_OBJECTINSTANCE`
`static java.lang.String` | `GET_OBJECTINSTANCE_NOTIFICATION`
`static java.lang.String` | `INVOKE`
`static java.lang.String` | `INVOKE_NOTIFICATION`
`static java.lang.String` | `IS_INSTANCEOF`
`static java.lang.String` | `ISINSTANCEOF_NOTIFICATION`
`static java.lang.String` | `ISREGISTERED`
`static java.lang.String` | `ISREGISTERED_NOTIFICATION`
`static java.lang.String` | `QUERY_MBEANS`
`static java.lang.String` | `QUERY_NAME`
`static java.lang.String` | `QUERYMBEANS_NOTIFICATION`
`static java.lang.String` | `REGISTER_MBEAN`
`static java.lang.String` | `REMOVE_NOTIFICATION_LISTENER`
`static java.lang.String` | `REMOVE_NOTIFICATIONLISTENER_NOTIFICATION`
`static java.lang.String` | `SET_ATTRIBUTE`
`static java.lang.String` | `SET_ATTRIBUTE_NOTIFICATION`
`static java.lang.String` | `SET_ATTRIBUTES`
`static java.lang.String` | `SET_ATTRIBUTES_NOTIFICATION`
`static java.lang.String` | `UNREGISTER_MBEAN`

Fields inherited from class javax.management.MBeanServerNotification
`REGISTRATION_NOTIFICATION, UNREGISTRATION_NOTIFICATION`

Fields inherited from class javax.management.Notification
`source`

Constructor Summary
`ExtendedMBeanServerNotification(java.lang.String type, java.lang.Object source, long sequenceNumber, ObjectName objectName)`
`ExtendedMBeanServerNotification(java.lang.String type, java.lang.Object source, long sequenceNumber, ObjectName objectName, java.lang.String operationName, java.lang.Object[] params)`

Method Summary
`java.lang.String` | `getOperationName()`
`java.lang.Object[]` | `getParams()`

Methods inherited from class javax.management.MBeanServerNotification
`getMBeanName`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DESERIALIZE_NOTIFICATION

    public static final java.lang.String DESERIALIZE_NOTIFICATION

See Also:
  Constant Field Values

### GET_ATTRIBUTE_NOTIFICATION

    public static final java.lang.String GET_ATTRIBUTE_NOTIFICATION

See Also:
  Constant Field Values

### GET_ATTRIBUTES_NOTIFICATION

    public static final java.lang.String GET_ATTRIBUTES_NOTIFICATION

See Also:
  Constant Field Values

### SET_ATTRIBUTE_NOTIFICATION

    public static final java.lang.String SET_ATTRIBUTE_NOTIFICATION

See Also:
  Constant Field Values

### SET_ATTRIBUTES_NOTIFICATION

    public static final java.lang.String SET_ATTRIBUTES_NOTIFICATION

See Also:
  Constant Field Values

### GET_MBEANINFO_NOTIFICATION

    public static final java.lang.String GET_MBEANINFO_NOTIFICATION

See Also:
  Constant Field Values

### GET_OBJECTINSTANCE_NOTIFICATION

    public static final java.lang.String GET_OBJECTINSTANCE_NOTIFICATION

See Also:
  Constant Field Values

### INVOKE_NOTIFICATION

    public static final java.lang.String INVOKE_NOTIFICATION

See Also:
  Constant Field Values

### ISINSTANCEOF_NOTIFICATION

    public static final java.lang.String ISINSTANCEOF_NOTIFICATION

See Also:
  Constant Field Values

### ISREGISTERED_NOTIFICATION

    public static final java.lang.String ISREGISTERED_NOTIFICATION

See Also:
  Constant Field Values

### QUERYMBEANS_NOTIFICATION

    public static final java.lang.String QUERYMBEANS_NOTIFICATION

See Also:
  Constant Field Values

### ADD_NOTIFICATIONLISTENER_NOTIFICATION

    public static final java.lang.String ADD_NOTIFICATIONLISTENER_NOTIFICATION

See Also:
  Constant Field Values

### REMOVE_NOTIFICATIONLISTENER_NOTIFICATION

    public static final java.lang.String REMOVE_NOTIFICATIONLISTENER_NOTIFICATION

See Also:
  Constant Field Values

### REGISTER_MBEAN

    public static final java.lang.String REGISTER_MBEAN

See Also:
  Constant Field Values

### UNREGISTER_MBEAN

    public static final java.lang.String UNREGISTER_MBEAN

See Also:
  Constant Field Values

### DESERIALIZE

    public static final java.lang.String DESERIALIZE

See Also:
  Constant Field Values

### GET_ATTRIBUTE

    public static final java.lang.String GET_ATTRIBUTE

See Also:
  Constant Field Values

### GET_ATTRIBUTES

    public static final java.lang.String GET_ATTRIBUTES

See Also:
  Constant Field Values

### GET_MBEANINFO

    public static final java.lang.String GET_MBEANINFO

See Also:
  Constant Field Values

### GET_OBJECTINSTANCE

    public static final java.lang.String GET_OBJECTINSTANCE

See Also:
  Constant Field Values

### INVOKE

    public static final java.lang.String INVOKE

See Also:
  Constant Field Values

### IS_INSTANCEOF

    public static final java.lang.String IS_INSTANCEOF

See Also:
  Constant Field Values

### ISREGISTERED

    public static final java.lang.String ISREGISTERED

See Also:
  Constant Field Values

### QUERY_MBEANS

    public static final java.lang.String QUERY_MBEANS

See Also:
  Constant Field Values

### QUERY_NAME

    public static final java.lang.String QUERY_NAME

See Also:
  Constant Field Values

### SET_ATTRIBUTE

    public static final java.lang.String SET_ATTRIBUTE

See Also:
  Constant Field Values

### SET_ATTRIBUTES

    public static final java.lang.String SET_ATTRIBUTES

See Also:
  Constant Field Values

### ADD_NOTIFICATION_LISTENER

    public static final java.lang.String ADD_NOTIFICATION_LISTENER

See Also:
  Constant Field Values

### REMOVE_NOTIFICATION_LISTENER

    public static final java.lang.String REMOVE_NOTIFICATION_LISTENER

See Also:
  Constant Field Values

Constructor Detail

### ExtendedMBeanServerNotification

    public ExtendedMBeanServerNotification(java.lang.String type,
                                           java.lang.Object source,
                                           long sequenceNumber,
                                           ObjectName objectName)

### ExtendedMBeanServerNotification

    public ExtendedMBeanServerNotification(java.lang.String type,
                                           java.lang.Object source,
                                           long sequenceNumber,
                                           ObjectName objectName,
                                           java.lang.String operationName,
                                           java.lang.Object[] params)

Method Detail

### getOperationName

    public java.lang.String getOperationName()

### getParams

    public java.lang.Object[] getParams()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD